﻿using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using ThinkGeo.MapSuite.SilverlightCore;
using ThinkGeo.MapSuite.SilverlightEdition;

namespace InMemoryMarkerOverlaySample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += MainPage_Loaded;
        }

        private void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;
           
            WorldMapKitWmsSilverlightOverlay baseOverlay = new WorldMapKitWmsSilverlightOverlay();
            Map1.Overlays.Add(baseOverlay);

            InMemoryMarkerOverlay markerOverlay = new InMemoryMarkerOverlay("Markers", new List<string> { { "Value"} });

            var greenFeature = new Feature("POINT(-94.558 39.078)", "1", new Dictionary<string, string> { { "Value", "GREEN" } });
            markerOverlay.FeatureSource.InternalFeatures.Add(greenFeature);

            var redFeature = new Feature("POINT(-84.558 30.078)", "2", new Dictionary<string, string> { { "Value", "RED" } });
            markerOverlay.FeatureSource.InternalFeatures.Add(redFeature);
            
            GeoPopup popup = new GeoPopup() { Content = "Popup"};
            var customMarkerStyle = new CustomMarkerStyle() { ImageColumn = "Value", CurrentMap = Map1, Popup = popup };
            markerOverlay.ZoomLevelSet.ZoomLevel01.CustomMarkerStyle = customMarkerStyle;
            markerOverlay.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            Map1.Overlays.Add("SimpleMarkerOverlay", markerOverlay);
            Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
        }
    }
}
